Bug 193854 - Kernel lockup when starting second X on MGA G200
Kernel lockup when starting second X on MGA G200
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 04:54 EDT by Sitsofe Wheeler
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 11:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.56 KB, text/plain)
2006-06-02 04:56 EDT, Sitsofe Wheeler
no flags Details
Xorg.0.log from a working X (40.39 KB, text/plain)
2006-06-02 04:57 EDT, Sitsofe Wheeler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7173 None None None Never

  None (edit)
Description Sitsofe Wheeler 2006-06-02 04:54:39 EDT
Description of problem:
The entire system stops responding (not even sysrq works) if a second X is started.

Version-Release number of selected component (if applicable):
xorg-x11-drv-mga-1.2.1.3-1.2
xorg-x11-drivers-7.0-2

How reproducible:
Every time.

Steps to Reproduce:
1. Boot to runlevel 3.
2. Log in as a user to a virtual terminal. Run X .
3. Log in as a user to another virtual terminal Run X .
  
Actual results:
First X launches correctly, second X causes the entire machine to stop
responding (caps lock no longer works, stops responding to network packets).

Expected results:
Second X to work.

Additional info:
If sysrq is enabled then it stops working to (unable to do sysrq reboot).

Might be a dup of upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=876
Comment 1 Sitsofe Wheeler 2006-06-02 04:56:23 EDT
Created attachment 130386 [details]
xorg.conf
Comment 2 Sitsofe Wheeler 2006-06-02 04:57:33 EDT
Created attachment 130387 [details]
Xorg.0.log from a working X
Comment 3 Sitsofe Wheeler 2006-06-02 05:00:59 EDT
The last message in /var/log/message before the lockup are the following:

Jun  2 09:38:02 platinum kernel: agpgart: Found an AGP 2.0 compliant device at
0000:00:00.0.
Jun  2 09:38:02 platinum kernel: agpgart: Putting AGP V2 device at 0000:00:00.0
into 1x mode
Jun  2 09:38:02 platinum kernel: agpgart: Putting AGP V2 device at 0000:01:00.0
into 1x mode
Jun  2 09:38:02 platinum kernel: [drm] Initialized card for AGP DMA.
Jun  2 09:38:14 platinum kernel: agpgart: Found an AGP 2.0 compliant device at
0000:00:00.0.
Jun  2 09:38:14 platinum kernel: agpgart: Putting AGP V2 device at 0000:00:00.0
into 1x mode
Jun  2 09:38:14 platinum kernel: agpgart: Putting AGP V2 device at 0000:01:00.0
into 1x mode
Jun  2 09:38:14 platinum kernel: [drm] Initialized card for AGP DMA.
Jun  2 09:38:58 platinum ntpd[1790]: synchronized to LOCAL(0), stratum 10
Jun  2 09:38:58 platinum ntpd[1790]: kernel time sync disabled 0041
Comment 4 Mike A. Harris 2006-06-14 11:41:43 EDT
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th through 13th.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.


Comment 5 Mike A. Harris 2006-06-14 11:42:44 EDT
May be related to the upstream bug you indicated, however I'd recommend filing
a new bug report upstream, and attaching your files as file attachments.
Unfortunately the person who filed that bug report pasted their log files
directly into the bug report as insanely long comments, and that will
generally cause their bug report to be totally ignored by Xorg developers,
as it makes bugs impossible to follow easily.

File a proper bug upstream, and I wouldn't be surprised if it gets some
feedback from someone within a short while.  It's possible though that
this could be a kernel DRM bug, so it might be worthwhile to CC the
DRI folk upstream also.

Hope this helps.



Comment 6 Mike A. Harris 2006-06-14 11:43:56 EDT
------- Additional Comments From sitsofe@yahoo.com  2006-06-10 06:32 EST -------
Hi Mike:

I've duplicated this bug into https://bugs.freedesktop.org/show_bug.cgi?id=7173
upstream but I'm a little unsure as to how to CC the DRI folks. Did you mean cc
them within a bugzilla (and if so which one? The RH one or the freedesktop one?
Could you provide an obfuscated address for them?) or just CC them via good 'ol
fashioned email? Just as soon as I find a maintainer address I'm going to try
the second approach for the short term...

Comment 7 Mike A. Harris 2006-06-14 11:45:55 EDT
(In reply to comment #6)
> ------- Additional Comments From sitsofe@yahoo.com  2006-06-10 06:32 EST -------
> Hi Mike:
> 
> I've duplicated this bug into https://bugs.freedesktop.org/show_bug.cgi?id=7173

Thanks for the report, we'll track it upstream now.


> upstream but I'm a little unsure as to how to CC the DRI folks. Did you mean cc
> them within a bugzilla (and if so which one? The RH one or the freedesktop one?
> Could you provide an obfuscated address for them?) or just CC them via good 'ol
> fashioned email? Just as soon as I find a maintainer address I'm going to try
> the second approach for the short term...

What I meant, is to either assign the bug to the DRI team, or CC them.
The team mail address in freedesktop bugzilla, is the dri-devel mailing
list on sourceforge.

Setting status to "UPSTREAM"

Note You need to log in before you can comment on or make changes to this bug.